/* AudioCenter ICON creation REXX program  *
 *	Version 0.6  By Kevin Langman      */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

if length(stream(directory() || '\AudioCen.exe', 'c', 'query exists' )) = 0 then do
   Say ''
   Say 'Change the currect directory to the directory where AudioCenter'
   Say 'is installed before running this program.'
   Say
   Say
   '@pause'
end; else do
   setup = "EXENAME=" || directory() ||"\AudioCen.EXE"
   setup = setup || ";STARTUPDIR=" || directory()
   setup = setup || ";ASSOCFILTER=*.MOD,*.STM,*.669,*.WOW,*.NST,*.MTM,*.AMF,*.FAR,*.S3M,*.ULT,*.XM,*.IT,*.MP3,*.MP2,*.MID,*.ACL"
   If SysCreateObject("WPProgram", "AudioCenter V0.91B", "<WP_DESKTOP>",setup) then do
      Say 'The AudioCenter object has been create'
      Say
      Say 'Do you want the install program to search your hard drive for audio players'
      Say 'and create an ini file?'
      if Question('(Y/N)') then do
            call acmkini
	    say
	    say 'Installation Complete'
      end      
   end; else
      Say 'Error creating the AudioCenter object!'
end            
  
exit

Question: procedure

	parse arg Message

	ReturnVal = 0

	Key = ""

	say Message

	do until left(Key, 1) = 'Y' | left(Key, 1) = 'N'
		if length(Key) > 0 then do
			call beep 262, 250
			say Message
		end
		Key = SysGetKey()
		parse upper var Key Key
		say
	end

	if left(Key, 1) = 'Y' then ReturnVal = 1

return ReturnVal